import 'package:cims_apps/application/assets/path_assets.dart';
import 'package:cims_apps/application/component/button/button_view.dart';
import 'package:cims_apps/application/component/image/image_view.dart';
import 'package:cims_apps/core/utils/size_config.dart';
import 'package:flutter/material.dart';

class EmptyCardTransaction extends StatelessWidget {
  final VoidCallback onPressedButton;
  const EmptyCardTransaction({Key? key, required this.onPressedButton})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    TextTheme textTheme = Theme.of(context).textTheme;
    return Container(
      padding: const EdgeInsets.symmetric(vertical: 8.0),
      child: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceAround,
          children: [
            ImageView(
              image: PathAssets.imgEmptyTransaction,
              width: SizeConfig.width * .4,
            ),
            Text(
              'No Transaction Yet',
              style: textTheme.headlineSmall,
            ),
            Text(
              "Let's keep building your investment for even greater financial growth!",
              style: textTheme.bodyMedium,
              textAlign: TextAlign.center,
            ),
            ButtonView(
              name: 'Investing Now',
              width: SizeConfig.width * .5,
              onPressed: onPressedButton,
            ),
          ],
        ),
      ),
    );
  }
}
